package com.cicdi.notify.template;

import com.cicdi.notify.NotifierProvider;
import com.cicdi.notify.NotifyType;

import java.io.Serializable;

/**
 * 通知模板配置属性
 *
 * @author xueye
 */
public class TemplateProperties implements Serializable {

    /**
     * 通知模板类型
     *
     * @see NotifyType
     */
    private String type;

    /**
     * 通知模板服务商
     *
     * @see NotifierProvider
     */
    private String provider;

    /**
     * 通知模板的JSON字符串
     */
    private String template;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }

}
