package com.cicdi.notify.sms;

import com.cicdi.notify.Provider;

/**
 * @author xueye
 */
public enum SmsProvider implements Provider {

    aliyunSms("阿里云短信服务"),
    telecom("电信139短信服务");

    private final String name;

    SmsProvider(String name) {
        this.name = name;
    }

    @Override
    public String getId() {
        return name();
    }

    @Override
    public String getName() {
        return name;
    }
}
